package com.ym.mec.biz.dal.dto;

import com.ym.mec.common.page.PageInfo;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class PageInfoReg<T> extends PageInfo<T> {

    @ApiModelProperty(value = "报名人数")
    private Integer regNum = 0;

    @ApiModelProperty(value = "第一天缴费人数")
    private Integer firstDayPayNum = 0;

    @ApiModelProperty(value = "总缴费人数")
    private Integer payNum = 0;

    @ApiModelProperty(value = "首天缴费人数占比")
    private BigDecimal payScale = BigDecimal.ZERO;

    public PageInfoReg() {
    }

    public PageInfoReg(Integer pageNo) {
        super(pageNo);
    }

    public PageInfoReg(Integer pageNo, int pageSize) {
        super(pageNo, pageSize);
    }

    public Integer getRegNum() {
        return regNum;
    }

    public void setRegNum(Integer regNum) {
        this.regNum = regNum;
    }

    public Integer getFirstDayPayNum() {
        return firstDayPayNum;
    }

    public void setFirstDayPayNum(Integer firstDayPayNum) {
        this.firstDayPayNum = firstDayPayNum;
    }

    public Integer getPayNum() {
        return payNum;
    }

    public void setPayNum(Integer payNum) {
        this.payNum = payNum;
    }

    public BigDecimal getPayScale() {
        return payScale;
    }

    public void setPayScale(BigDecimal payScale) {
        this.payScale = payScale;
    }
}
